Bank Kalteng (Phase 2) - Support #1362

ESS Travel
07/15/2022 04:24 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 07/15/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.30 hours
Description

Mas Azid,

Mohon dibantu buatkan autofill untuk table baru di ESS Travel (PDSWFTRAVELSUMMARYDAY)

EmployeelD (SummaryEmployeelD) - autofill dari ID yang request

StartDate (SummaryStartDate) - autofill dari table PDSWFTRAVELHEADER dengan field HeaderStartDate

EndDate (SummaryEndDate) - autofill dari table PDSWFTRAVELHEADER dengan field HeaderEndDate

Attendance Type (AttendanceType) - default 6000 dari table PHRTMATTTYP

StartTime (StartTime) - autofill dari PHRTMDAYTYP dengan mengambil field StartTime (cek dari table PHRPA0025 untuk tau
WSType, kemudian cek ke table PHRTMWSCAL untuk tau DayType)

EndTime (EndTime) - autofill dari PHRTMDAYTYP dengan mengambil field EndTime (cek dari table PHRPAQ0025 untuk tau
WSType, kemudian cek ke table PHRTMWSCAL untuk tau DayType)

Sebagai contoh jika employeelD 12345678 melakukan perjalanan dinas dari tanggal 1-5 Juni 2022 maka di table Summary Day
akan muncul 5 baris. Di setiap baris akan memiliki StartDate dan EndDate yang sama.

1 Juni - 1 Juni

2 Juni - 2 Juni

5 Juni - 5 Juni

History

#1 - 07/15/2022 04:24 PM - Fiona Avangeline Jonathan
- File clipboard-202207151624-9utd4k.png added

A Summary Day

© Add | T Delete

Employee ID Start Date End Date Attendance Type Start Time End Time Sequence

#2 - 07/15/2022 04:26 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#3 - 07/19/2022 11:01 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudl to Fiona Avangeline Jonathan

dear fiona , untuk redmine ini udah bisa di test ya

makasih

#4 - 07/19/2022 11:12 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed
clipboard-202207151624-9ut4k.png 8.83 KB 07/15/2022 Fiona Avangeline Jonathan
